package uk.co.brmartin

import kotlinx.serialization.json.Json
import okhttp3.MediaType
import okhttp3.MediaType.Companion.toMediaType
import okhttp3.OkHttpClient
import uk.co.brmartin.ollama.Options
import java.util.concurrent.TimeUnit

internal const val URL = "http://localhost:11434/api/generate"
internal const val MODEL = "qwen2.5-coder:14b"

internal val HTTP_CLIENT: OkHttpClient = OkHttpClient.Builder().readTimeout(1, TimeUnit.MINUTES).build()
internal val APPLICATION_JSON: MediaType = "application/json".toMediaType()
internal val JSON: Json = Json { ignoreUnknownKeys = true }
internal val options = Options(0, 100)
