package uk.co.brmartin.ollama

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class ResponseBody(val response: String)

@Serializable
data class RequestBody(
    val model: String,
    val prompt: String,
    val suffix: String,
    val options: Options,
    val stream: Boolean = true,
)

@Serializable
data class Options(val temperature: Int, @SerialName("num_predict") val numPredict: Int)
